## r-cran-restfulr 0.0.13

=== DESCRIPTION ===
Package: restfulr
Type: Package
Title: R Interface to RESTful Web Services
Version: 0.0.13
Author: Michael Lawrence
Maintainer: Michael Lawrence <michafla@gene.com>
Description: Models a RESTful service as if it were a nested R list.
License: Artistic-2.0
Imports: XML, RCurl, rjson, S4Vectors (>= 0.13.15), yaml
Depends: R (>= 3.4.0), methods
Suggests: getPass, rsolr, RUnit
Collate: CRUDProtocol-class.R CacheInfo-class.R Credentials-class.R
        HTTP-class.R Media-class.R MediaCache-class.R RestUri-class.R
        RestContainer-class.R test_restfulr_package.R utils.R
NeedsCompilation: yes
Packaged: 2017-08-03 00:05:01 UTC; larman
Repository: CRAN
Date/Publication: 2017-08-06 17:10:26 UTC

=== debian/changelog ===
r-cran-restfulr (0.0.13-2) unstable; urgency=medium

  * Packaging update
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Fri, 10 Sep 2021 14:52:03 +0200

r-cran-restfulr (0.0.13-1) unstable; urgency=medium

  * Initial release (closes: #993812)

 -- Andreas Tille <tille@debian.org>  Mon, 06 Sep 2021 21:38:04 +0200

=== debian/control ===
Source: r-cran-restfulr
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-xml,
               r-cran-rcurl,
               r-cran-rjson,
               r-bioc-s4vectors (>= 0.13.15),
               r-cran-yaml
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-restfulr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-restfulr.git
Homepage: https://cran.r-project.org/package=restfulr
Rules-Requires-Root: no

Package: r-cran-restfulr
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R interface to RESTful web wervices
 Models a RESTful service as if it were a nested R list.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/restfulr_([-\d.]*)\.tar\.gz

## r-cran-restfulr 0.0.15

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: restfulr
 Type: Package
 Title: R Interface to RESTful Web Services
-Version: 0.0.13
+Version: 0.0.15
 Author: Michael Lawrence
 Maintainer: Michael Lawrence <michafla@gene.com>
 Description: Models a RESTful service as if it were a nested R list.
@@ -13,6 +13,6 @@
         HTTP-class.R Media-class.R MediaCache-class.R RestUri-class.R
         RestContainer-class.R test_restfulr_package.R utils.R
 NeedsCompilation: yes
-Packaged: 2017-08-03 00:05:01 UTC; larman
+Packaged: 2022-06-15 21:06:20 UTC; larman
 Repository: CRAN
-Date/Publication: 2017-08-06 17:10:26 UTC
+Date/Publication: 2022-06-16 09:30:02 UTC

=== debian/changelog ===
r-cran-restfulr (0.0.15-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 24 Jun 2022 11:18:09 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                r-cran-xml,
                r-cran-rcurl,
                r-cran-rjson,
-               r-bioc-s4vectors (>= 0.13.15),
+               r-bioc-s4vectors,
                r-cran-yaml
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-restfulr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-restfulr.git
 Homepage: https://cran.r-project.org/package=restfulr

## r-cran-restfulr 0.0.16

=== debian/changelog ===
r-cran-restfulr (0.0.16-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Charles Plessy <plessy@debian.org>  Mon, 02 Feb 2026 15:41:03 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -11,8 +10,10 @@
                r-cran-rcurl,
                r-cran-rjson,
                r-bioc-s4vectors,
-               r-cran-yaml
-Standards-Version: 4.6.1
+               r-cran-yaml,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-restfulr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-restfulr.git
 Homepage: https://cran.r-project.org/package=restfulr
